=== debian/changelog ===
graphicsmagick (1.4+really1.3.46-1) unstable; urgency=medium

  * New upstream release.
  * Update library symbols for this release.
  * No longer ship not real compatible graphicsmagick-imagemagick-compat and
    graphicsmagick-libmagick-dev-compat packages (closes: #413954, #849533).
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 02 Nov 2025 13:56:21 +0100
