=== debian/control ===
Source: graphicsmagick
Section: graphics
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 13), pkgconf, libjpeg-dev, liblcms2-dev,
 libwmf-dev (>= 0.2.8.4), libx11-dev, libsm-dev, libice-dev, libxext-dev,
 x11proto-core-dev, libxml2-dev, libfreetype-dev, libbz2-dev, libtiff-dev,
 libjbig-dev, libpng-dev, libwebp-dev, libheif-dev, zlib1g-dev | libz-dev,
 libzstd-dev, perl, ghostscript,
 libjxl-dev [!alpha !hurd-i386],
 fonts-urw-base35 <!nocheck>,
 sharutils <!nocheck>
Standards-Version: 4.7.2
Rules-Requires-Root: binary-targets
Homepage: http://www.graphicsmagick.org/

Package: graphicsmagick
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: graphicsmagick-imagemagick-compat (<< 1.4+really1.3.46)
Replaces: graphicsmagick-imagemagick-compat (<< 1.4+really1.3.46)
Suggests: graphicsmagick-dbg
Description: collection of image processing tools
 GraphicsMagick provides a set of command-line applications to manipulate
 image files. It is a fork of the ImageMagick project and therefore offers
 a similar set of features, but puts a larger emphasis on stability.
 .
 The tools support a large variety of image formats from the widely used
 jpeg, tiff, bmp or xpm to special-purpose formats such as fits or image
 formats found on some photo CDs. They can convert between formats,
 concatenate several images into one, annotate and distort them, create
 thumbnails or manipulate the colormap. While all features are available
 from the command-line, the package also includes an image viewer that
 allows interactive manipulation.
 .
 Note that unlike ImageMagick, the GraphicsMagick tools are accessed
 through a single executable called 'gm'. Therefore, GraphicsMagick and
 ImageMagick can be used in parallel.

Package: libgraphicsmagick-q16-3t64
Provides: ${t64:Provides}
Breaks: libgraphicsmagick-q16-3 (<< ${source:Version})
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgraphicsmagick3 (>= 1.3.21)
Replaces: libgraphicsmagick-q16-3, libgraphicsmagick3 (>= 1.3.21)
Recommends: ghostscript, fonts-urw-base35
Suggests: graphicsmagick-dbg
Description: format-independent image processing - C shared library
 GraphicsMagick provides libraries in several programming languages to read,
 write and manipulate image files across a large number of formats, from the
 widely used jpeg, tiff, bmp or xpm to special-purpose formats such as fits or
 image formats found on some photo CDs. There are functions for finegrained
 image processing tasks, as well as conversion routines between the various
 image formats.
 .
 The GraphicsMagick library is a fork of ImageMagick and therefore offers
 an interface that is similar in features, but intended to be more stable
 across releases. While compatibility does not go so far that the
 GraphicsMagick library serves as a drop-in replacement for ImageMagick,
 conversion can usually be done with little effort.
 .
 This package contains the C libraries needed to run executables that use
 the GraphicsMagick library.

Package: libgraphicsmagick1-dev
Architecture: any
Section: libdevel
Depends: libgraphicsmagick-q16-3t64 (= ${binary:Version}), libjpeg-dev,
 liblcms2-dev, libwmf-dev, libx11-dev, libsm-dev, libice-dev, libxext-dev,
 x11proto-core-dev, libxml2-dev, libfreetype-dev, libtiff-dev,
 libjbig-dev, libc6-dev, zlib1g-dev | libz-dev, libpng-dev, libheif-dev,
 libexif-dev, libbz2-dev, libltdl-dev, libwebp-dev, libzstd-dev, pkgconf,
 libjxl-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el ia64 m68k riscv64 x32],
 ${misc:Depends}
Breaks: graphicsmagick-libmagick-dev-compat (<< 1.4+really1.3.46)
Replaces: graphicsmagick-libmagick-dev-compat (<< 1.4+really1.3.46)
Suggests: graphicsmagick
Provides: libgraphicsmagick-dev
Description: format-independent image processing - C development files
 GraphicsMagick provides libraries in several programming languages to read,
 write and manipulate image files across a large number of formats, from the
 widely used jpeg, tiff, bmp or xpm to special-purpose formats such as fits or
 image formats found on some photo CDs. There are functions for finegrained
 image processing tasks, as well as conversion routines between the various
 image formats.
 .
 The GraphicsMagick library is a fork of ImageMagick and therefore offers
 an interface that is similar in features, but intended to be more stable
 across releases. While compatibility does not go so far that the
 GraphicsMagick library serves as a drop-in replacement for ImageMagick,
 conversion can usually be done with little effort.
 .
 This package contains the C development headers and library files needed to
 compile programs using the GraphicsMagick library.

Package: libgraphicsmagick++-q16-12t64
Provides: ${t64:Provides}
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgraphicsmagick++-q16-11 (= 1.3.22-1)
Replaces: libgraphicsmagick++-q16-12, libgraphicsmagick++-q16-11 (= 1.3.22-1)
Breaks: libgraphicsmagick++-q16-12 (<< ${source:Version}), python-pgmagick (<= 0.7.4-1), python3-pgmagick (<= 0.7.4-1), libgnudatalanguage0 (<= 0.9.9-9)
Suggests: graphicsmagick-dbg
Description: format-independent image processing - C++ shared library
 GraphicsMagick provides libraries in several programming languages to read,
 write and manipulate image files across a large number of formats, from the
 widely used jpeg, tiff, bmp or xpm to special-purpose formats such as fits or
 image formats found on some photo CDs. There are functions for finegrained
 image processing tasks, as well as conversion routines between the various
 image formats.
 .
 The GraphicsMagick library is a fork of ImageMagick and therefore offers
 an interface that is similar in features, but intended to be more stable
 across releases. While compatibility does not go so far that the
 GraphicsMagick library serves as a drop-in replacement for ImageMagick,
 conversion can usually be done with little effort.
 .
 This package contains the C++ libraries needed to run executables that use
 the GraphicsMagick++ library.

Package: libgraphicsmagick++1-dev
Architecture: any
Section: libdevel
Depends: libgraphicsmagick++-q16-12t64 (= ${binary:Version}), libgraphicsmagick1-dev, ${misc:Depends}
Suggests: graphicsmagick
Provides: libgraphicsmagick++-dev
Description: format-independent image processing - C++ development files
 GraphicsMagick provides libraries in several programming languages to read,
 write and manipulate image files across a large number of formats, from the
 widely used jpeg, tiff, bmp or xpm to special-purpose formats such as fits or
 image formats found on some photo CDs. There are functions for finegrained
 image processing tasks, as well as conversion routines between the various
 image formats.
 .
 The GraphicsMagick library is a fork of ImageMagick and therefore offers
 an interface that is similar in features, but intended to be more stable
 across releases. While compatibility does not go so far that the
 GraphicsMagick library serves as a drop-in replacement for ImageMagick,
 conversion can usually be done with little effort.
 .
 This package contains the C++ development headers and library files needed to
 compile programs using the GraphicsMagick++ library.

Package: libgraphics-magick-perl
Architecture: any
Section: perl
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: graphicsmagick-dbg
Description: format-independent image processing - perl interface
 GraphicsMagick provides libraries in several programming languages to read,
 write and manipulate image files across a large number of formats, from the
 widely used jpeg, tiff, bmp or xpm to special-purpose formats such as fits or
 image formats found on some photo CDs. There are functions for finegrained
 image processing tasks, as well as conversion routines between the various
 image formats.
 .
 The GraphicsMagick library is a fork of ImageMagick and therefore offers
 an interface that is similar in features, but intended to be more stable
 across releases. While compatibility does not go so far that the
 GraphicsMagick library serves as a drop-in replacement for ImageMagick,
 conversion can usually be done with little effort.
 .
 This package contains the classes to access GraphicsMagick functionality from
 Perl scripts. It is mostly similar to PerlMagick from the ImageMagick suite,
 but uses a different class name.

Package: graphicsmagick-dbg
Architecture: any
Section: debug
Depends: graphicsmagick (= ${binary:Version}), libgraphicsmagick-q16-3t64 (= ${binary:Version}), libgraphicsmagick++-q16-12t64 (= ${binary:Version}), libgraphics-magick-perl (= ${binary:Version}), ${misc:Depends}
Description: format-independent image processing - debugging symbols
 GraphicsMagick provides libraries in several programming languages to read,
 write and manipulate image files across a large number of formats, from the
 widely used jpeg, tiff, bmp or xpm to special-purpose formats such as fits or
 image formats found on some photo CDs. There are functions for finegrained
 image processing tasks, as well as conversion routines between the various
 image formats.
 .
 The GraphicsMagick library is a fork of ImageMagick and therefore offers
 an interface that is similar in features, but intended to be more stable
 across releases. While compatibility does not go so far that the
 GraphicsMagick library serves as a drop-in replacement for ImageMagick,
 conversion can usually be done with little effort.
 .
 This package contains debugging symbols for the gm executable as well as the
 C, C++, and Perl bindings. Tools like gdb and ltrace make use of these
 symbols.
