=== debian/watch ===
Version: 5

Source: https://sf.net/graphicsmagick/
Matching-Pattern: GraphicsMagick-(\d\.\d+\.[1-9]+|\d\.\d+)@ARCHIVE_EXT@
Dversionmangle: s/1.4\+really//
Pgpsigurlmangle: s/$/.asc/
